GNU Radio C++ API Reference: NumberColorMapMenu Class Reference

| GNU Radio C++ API Reference 3.10.12.0 The Free & Open Software Radio Ecosystem |

Loading...
Searching...
No Matches
NumberColorMapMenu Class Reference

`#include <gnuradio/qtgui/form_menus.h>`

## Public Slots
void | getBlack ()
void | getBlueRed ()
void | getWhiteHot ()
void | getBlackHot ()
void | getBlackRed ()
void | getOther ()

## Signals
void | whichTrigger (unsigned int which, const QColor &min_color, const QColor &max_color)

## Public Member Functions
| NumberColorMapMenu (unsigned int which, QWidget *parent)
| ~NumberColorMapMenu () override
int | getNumActions () const
QAction * | getAction (unsigned int which)

## Constructor & Destructor Documentation

## ◆ NumberColorMapMenu()

NumberColorMapMenu::NumberColorMapMenu | ( | unsigned int | which,
|  | QWidget * | parent )
| inline

References getBlack(), getBlackHot(), getBlackRed(), getBlueRed(), getOther(), and getWhiteHot().

## ◆ ~NumberColorMapMenu()

NumberColorMapMenu::~NumberColorMapMenu | ( |  | ) |
| inlineoverride

## Member Function Documentation

## ◆ getAction()

QAction * NumberColorMapMenu::getAction | ( | unsigned int | which | ) |
| inline

## ◆ getBlack

void NumberColorMapMenu::getBlack | ( |  | ) |
| inlineslot

References whichTrigger().

Referenced by NumberColorMapMenu().

## ◆ getBlackHot

void NumberColorMapMenu::getBlackHot | ( |  | ) |
| inlineslot

References whichTrigger().

Referenced by NumberColorMapMenu().

## ◆ getBlackRed

void NumberColorMapMenu::getBlackRed | ( |  | ) |
| inlineslot

References whichTrigger().

Referenced by NumberColorMapMenu().

## ◆ getBlueRed

void NumberColorMapMenu::getBlueRed | ( |  | ) |
| inlineslot

References whichTrigger().

Referenced by NumberColorMapMenu().

## ◆ getNumActions()

int NumberColorMapMenu::getNumActions | ( |  | ) | const
| inline

## ◆ getOther

void NumberColorMapMenu::getOther | ( |  | ) |
| inlineslot

References whichTrigger().

Referenced by NumberColorMapMenu().

## ◆ getWhiteHot

void NumberColorMapMenu::getWhiteHot | ( |  | ) |
| inlineslot

References whichTrigger().

Referenced by NumberColorMapMenu().

## ◆ whichTrigger

void NumberColorMapMenu::whichTrigger | ( | unsigned int | which,
|  | const QColor & | min_color,
|  | const QColor & | max_color )
| signal

Referenced by getBlack(), getBlackHot(), getBlackRed(), getBlueRed(), getOther(), and getWhiteHot().

The documentation for this class was generated from the following file:

- form_menus.h